Bug 141553 - Upload David CLM to the latest release
Summary: Upload David CLM to the latest release
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.1.2.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Heiko Tietze
URL:
Whiteboard: target:7.2.0
Keywords: difficultyBeginner, easyHack, topicInfra
Depends on:
Blocks: RTL-Hebrew Fonts-Bundled
  Show dependency treegraph
 
Reported: 2021-04-08 01:02 UTC by Volga
Modified: 2021-04-28 06:21 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Volga 2021-04-08 01:02:29 UTC
Description:
Currently the latest version of the Culmus fonts is 0.133, however David CLM, one of Culmus fonts including in LibreOffice is relatively old. This can be seen with BabelMap (https://babelstone.co.uk/Software/BabelMap.html) sfter installing LibreOffice.

Steps to Reproduce:
1. Open BabelMap
2. Click Fonts -> Overview of All Fonts...

Actual Results:
In Overview of Fonts dialog, David CLM doesn’t updated to 0.133.

Expected Results:
David CLM should updated to 0.133.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.1.2.2 (x64) / LibreOffice Community
Build ID: 8a45595d069ef5570103caea1b71cc9d82b2aae4
CPU threads: 4; OS: Windows 10.0 Build 19042; UI render: Skia/Raster; VCL: win
Locale: zh-CN (zh_CN); UI: zh-CN
Comment 1 Roman Kuznetsov 2021-04-08 09:09:41 UTC
Why is here an UX opinion? It's just an enhancement for some font updating. Or may be I missed something?
Comment 2 Heiko Tietze 2021-04-08 09:45:50 UTC
We are on 0.131, so updating makes sense.

Code pointer:

Source
http://culmus.sourceforge.net/
https://packages.debian.org/unstable/x11/culmus

Target
https://dev-www.libreoffice.org/src/

Code
download.lst -> FONT_CULMUS
external/more_fonts/ExternalPackage_culmus.mk

List contains 

* DavidCLM (our tarball with 0.131 ships ttf, 0.133 has otf)
* FrankRuehlCLM
* MiriamCLM
* MiriamMonoCLM
* NachlieliCLM

solenv/flatpak-manifest.in -> culmus-0.131
Comment 3 Eyal Rozenberg 2021-04-23 10:24:52 UTC
So, what happens when LO offers a version of a font which is older than the version otherwise available on the target system? Are both installed? Is there overwriting? Hiding?
Comment 4 Commit Notification 2021-04-28 06:21:23 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c9c6b0d75bcbb6ff3343502a19fb3448d361d335

Resolves tdf#141553 - Update David CLM font

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Heiko Tietze 2021-04-28 06:21:51 UTC
Font has been updated to 0.133. The older version is overwritten.